Stay Current

Sign up for our newsletter today:

Product was successfully added to your shopping cart.
  • Pulsar Pulsar

Pulsar - Tempo-locked Movers for Omnisphere 2™

Quick Overview

Introducing a collection of patches for Omnisphere 2™ with BPM-locked basses, synths, leads, pads, and FX. PULSAR is the latest Omnisphere 2 powerhouse patch collection from MIDIhead. As the name suggests, all of the 100+ sounds in PULSAR breathe with energetic, driving pulsations using Omnisphere 2’s extensive menu of Arpeggiators, LFOs, Envelopes, and Effects. These original patches transcend genre, providing rhythmic energy to electronic, ambient, pop, EDM and film music. Nearly all of the sounds are generated using Omnisphere 2’s DSP waveforms. Why shell out for a custom pulsing virtual instrument? Launch Omnisphere 2 and put your tracks in motion with PULSAR.


Availability: In stock

$35.00

Details

PULSAR is a collection of 121 patches for Omnisphere 2™ containing BPM-locked basses, synths, leads, pads, and FX with sounds ranging from aggressive to ethereal.

PULSAR is the latest Omnisphere 2 powerhouse patch collection from MIDIhead. As the name suggests, all of the 100+ sounds in PULSAR breathe with energetic, driving pulsations using Omnisphere 2’s extensive menu of Arpeggiators, LFOs, Envelopes, and Effects. These original patches transcend genre, providing rhythmic energy to electronic, ambient, pop, EDM and film music. Nearly all of the sounds are generated using Omnisphere 2’s DSP waveforms. Why shell out for a custom pulsing virtual instrument? Launch Omnisphere 2 and put your tracks in motion with PULSAR.

PULSAR focuses on the use of the modulation wheel AND aftertouch for fast, expressive, sound-altering control. Many patches are also optimized for use with The Orb, giving you even more real-time control on stage and in the studio.

These 121 Patches Feature:

  • 32 BPM - BASS
  • 1 BPM - Drum
  • 5 BPM - Bell
  • 5 BPM - FX
  • 3 BPM - LEAD
  • 1 BPM - ORGAN
  • 9 BPM - PAD
  • 62 BPM - SYNTH
  • 3 BPM - VOX
  • Registered customers are entitled to free updates and bonus patches when they become available

Requires Omnisphere version 2.1 or higher. Please read the System Requirements tab for more information.

Omnisphere 2 from Spectrasonics is required for use and will need to be updated to at least version 2.1 prior to installation of this patch library. Registered users can update for free by logging into their Spectrasonics User Account.

If you do not have Omnisphere 2 by Spectrasonics, click: HERE

Cookie Notice
This website uses cookies to provide a seamless browsing and shopping experience. By using this website, you agree to our use of cookies.